/// <reference types="slickgrid" />
import { AbstractTableEditor } from "./AbstractTableEditor";
import { UiField } from "../formfield/UiField";
import { UiIdentifiableClientRecordConfig } from "../../generated/UiIdentifiableClientRecordConfig";
export declare class UiGenericTableCellEditor extends AbstractTableEditor {
    protected uiField: UiField;
    private destroyCallback;
    protected defaultValue: any;
    constructor(uiField: UiField, destroyCallback: () => void, args: Slick.Editors.EditorOptions<any> & {
        item: any;
    });
    destroy(): void;
    focus(): void;
    loadValue(item: UiIdentifiableClientRecordConfig): void;
    serializeValue(): any;
    applyValue(item: UiIdentifiableClientRecordConfig, state: any): void;
    isValueChanged(): boolean;
}
